import { select, selectAll } from 'd3'
import { Chart } from 'chart';


const getRandomData = () => {
  return [
    [new Date(2016,0,1), Math.random() * 100],
    [new Date(2016,1,1), Math.random() * 100],
    [new Date(2016,2,1), Math.random() * 100],
    [new Date(2016,3,1), Math.random() * 100],
    [new Date(2016,4,1), Math.random() * 100]
  ];
}

// create new chart using Chart constructor
const chart = new Chart({
	element: document.querySelector('.chart-container1'),
    data: [
        [new Date(2016,0,1), 10],
        [new Date(2016,1,1), 70],
        [new Date(2016,2,1), 30],
        [new Date(2016,3,1), 10],
        [new Date(2016,4,1), 40]
    ]
});


// create new chart using Chart constructor
const chart2 = new Chart({
	element: document.querySelector('.chart-container2'),
    data: getRandomData()
});

chart2.setColor('purple');

// change line colour on click
selectAll('button.color').on('click', function(){
  const color = select(this).attr('data-color');
  chart.setColor(color);
});


// change data on click to something randomly-generated
selectAll('button.data').on('click', () => {
    chart.setData(getRandomData());
});

// redraw chart on each resize
// in a real-world example, it might be worth ‘throttling’ this
// more info: http://sampsonblog.com/749/simple-throttle-function
select(window).on('resize', () => chart.draw(